## 默认访问路径
- http://网关IP:端口/{nacos服务名}/{RequestMapping的路径},如下图
```shell
http://127.0.0.1/saas-dubbo-all-application/acc/user?id=2&test=aba
```
## 打印access log
```jvm
-Dreactor.netty.http.server.accessLogEnabled=true
```

## 参考资料
- [基础入门](https://spring.io/guides/gs/gateway/) 官方gateway使用示例
- [gateway官方文档](https://docs.spring.io/spring-cloud-gateway/docs/current/reference/html/#the-discoveryclient-route-definition-locator)
12.4节 The DiscoveryClient Route Definition Locator
- [核心重要接口](https://blog.csdn.net/u010647035/article/details/84480626) RouteLocator、RouteDefinitionRouteLocator、DiscoveryClient、DiscoveryClientRouteDefinitionLocator
、重要配置类DiscoveryLocatorProperties、GatewayDiscoveryClientAutoConfiguration以及不同厂家的DiscoveryClient实现配置、RouteRefreshListener
- [路由转发过程](https://zhuanlan.zhihu.com/p/449990867) 通过handler利用RouteLocator的getRoutes实现路由转发
- [gateway性能优化](https://blog.csdn.net/weixin_42161936/article/details/123395773) 面向ISV的架构