package cn.com.do1.component.bi.gateway.config.DynamicRoute;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

import java.util.List;

@Configuration
@RefreshScope
@Data
@Getter
@Setter
@ConfigurationProperties(prefix = "dynamic-routes")
public class DynamicRouteConfig {
    private List<RouteInfo> routeInfos;

}
